real(8) Function ULP(x)
! Computes ULP(x) for a real(8) x: 
! ULP(x) =the smallest FP number that added to x, rounds to a FP number >x.
! exponent(x): exponentul lui x in modelul de reprezentare (sttintific).
implicit real(8) (a-h, o-z)

ULP =2.0**(exponent(x) -53)
END
